## cxx 0.0-0

=== DESCRIPTION ===
Package: cxx
Version: 0.0-0
Title: C++ test
Author: Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>
Description: A small C++ test package.
License: GPL.

## cxx 0.0-1

=== DESCRIPTION ===
Package: cxx
Version: 0.0-1
Title: C++ test
Author: Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>
Description: A small C++ test package.
License: GPL.

## cxx 0.0-3

=== DESCRIPTION ===
Package: cxx
Version: 0.0-3
Title: C++ test
Author: Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>
Maintainer: Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>
Description: A small C++ test package.
License: GPL.

## cxx 6.3.9.7-3

=== debian/changelog ===
cxx (6.3.9.7-3) unstable; urgency=low

  * Added c++ alternatives symlink in postinst and prerm (closes: #95368).
  * Removed cruft at the bottom of this file.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri,  6 Jul 2001 15:24:53 -0400

cxx (6.3.9.7-2) unstable; urgency=low

  * Now depends on gcc-2.95 >= 2.95.4 and debconf >= 0.5.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 24 Apr 2001 13:12:45 -0400

cxx (6.3.9.7-1) unstable; urgency=low

  * First release!

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 19 Apr 2001 19:08:13 -0400

=== debian/control ===
Source: cxx
Section: contrib/devel
Priority: extra
Build-Depends-Indep: debhelper
Maintainer: Adam C. Powell, IV <hazelsct@debian.org>
Standards-Version: 3.5.2.0

Package: cxx
Architecture: alpha
Depends: debconf (>= 0.5), cpio, binutils, libc6.1-dev, cpp, gcc-2.95 (>= 2.95.4), libots, cpml, ccc
Suggests: cxml
Provides: c++-compiler
Description: Compaq C++ Compiler for Linux Alpha
 The Compaq C++ Compiler for Linux Alpha (CXX) is a high-performance compiler
 for Alpha processors.
 .
 Compaq does not allow redistribution of their software. Therefore, this
 package requires the user to fetch the cxx RPM archive separately
 from their web site at http://www.support.compaq.com/alpha-tools/software/ .
 When you install this package you will be guided through that process.
 .
 Note that you will need to either purchase a license from Compaq, or consent
 to the terms of the Education/Enthusiast license, in order to obtain and run
 cxx.
 .
 This package installs the file cxx-6.3.9.7-1.alpha.rpm from the above
 website.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

#export DH_VERBOSE=1
export DH_COMPAT=2

build:
	# Nothing to do.

clean:
	dh_testdir
	dh_clean

binary-indep:
	# Nothing to do.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_link usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/lnxexx_driver \
	    usr/bin/cxx \
	  usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/demangle \
	    usr/bin/demangle
	dh_link usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/cxxl_messages.cat \
	    usr/share/locale/en_US/LC_MESSAGES/cxxl_messages.cat
	dh_link \
	  usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/libcompaq_demangle.so \
	    usr/lib/libcompaq_demangle.so \
	  usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/libcompaq_demangle.so \
	    usr/lib/libcompaq_demangle.so.0
	dh_link usr/lib/compaq/cxx-6.3.9.7/alpha-linux/examples \
	    usr/share/doc/cxx/examples \
	  usr/lib/compaq/cxx-6.3.9.7/alpha-linux/bin/LICENSE.TXT \
	    usr/share/doc/cxx/LICENSE.TXT
	dh_link usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man1/cxx.1.gz \
	    usr/share/man/man1/cxx.1.gz \
	  usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man1/demangle.1.gz \
	    usr/share/man/man1/demangle.1.gz \
	  usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man8C++/protect_headers_setup.8C++.gz \
	    usr/share/man/man8/protect_headers_setup.8C++.gz
	# Now the drudgery... :-)  First man3C++ in groups of 12
	dh_link \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/Interrupt_handler.3C++.gz \
	  usr/share/man/man3/Interrupt_handler.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/Messages.3C++.gz \
	  usr/share/man/man3/Messages.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/Mutex.3C++.gz \
	  usr/share/man/man3/Mutex.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/Objection.3C++.gz \
	  usr/share/man/man3/Objection.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/Stopwatch.3C++.gz \
	  usr/share/man/man3/Stopwatch.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/String.3C++.gz \
	  usr/share/man/man3/String.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/complex.3C++.gz \
	  usr/share/man/man3/complex.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/cxxlib_intro.3C++.gz \
	  usr/share/man/man3/cxxlib_intro.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/filebuf.3C++.gz \
	  usr/share/man/man3/filebuf.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/fstream.3C++.gz \
	  usr/share/man/man3/fstream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/generic.3C++.gz \
	  usr/share/man/man3/generic.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/ifstream.3C++.gz \
	  usr/share/man/man3/ifstream.3C++.gz
	dh_link \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/interrupt_handler.3C++.gz \
	  usr/share/man/man3/interrupt_handler.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/ios.3C++.gz \
	  usr/share/man/man3/ios.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/ios_intro.3C++.gz \
	  usr/share/man/man3/ios_intro.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/iostream.3C++.gz \
	  usr/share/man/man3/iostream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/istream.3C++.gz \
	  usr/share/man/man3/istream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/istrstream.3C++.gz \
	  usr/share/man/man3/istrstream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/manip.3C++.gz \
	  usr/share/man/man3/manip.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/messages.3C++.gz \
	  usr/share/man/man3/messages.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/mutex.3C++.gz \
	  usr/share/man/man3/mutex.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/object.3C++.gz \
	  usr/share/man/man3/object.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/objection.3C++.gz \
	  usr/share/man/man3/objection.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/ofstream.3C++.gz \
	  usr/share/man/man3/ofstream.3C++.gz
	dh_link \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/ostream.3C++.gz \
	  usr/share/man/man3/ostream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/ostrstream.3C++.gz \
	  usr/share/man/man3/ostrstream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/queue.3C++.gz \
	  usr/share/man/man3/queue.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/randint.3C++.gz \
	  usr/share/man/man3/randint.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/sbuf.3C++.gz \
	  usr/share/man/man3/sbuf.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/sched.3C++.gz \
	  usr/share/man/man3/sched.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/ssbuf.3C++.gz \
	  usr/share/man/man3/ssbuf.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/stack.3C++.gz \
	  usr/share/man/man3/stack.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/stdiobuf.3C++.gz \
	  usr/share/man/man3/stdiobuf.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/stdiostream.3C++.gz \
	  usr/share/man/man3/stdiostream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/stopwatch.3C++.gz \
	  usr/share/man/man3/stopwatch.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/streambuf.3C++.gz \
	  usr/share/man/man3/streambuf.3C++.gz
	dh_link \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/string.3C++.gz \
	  usr/share/man/man3/string.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/strstream.3C++.gz \
	  usr/share/man/man3/strstream.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/strstreambuf.3C++.gz \
	  usr/share/man/man3/strstreambuf.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/task.3C++.gz \
	  usr/share/man/man3/task.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/task_intro.3C++.gz \
	  usr/share/man/man3/task_intro.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/timer.3C++.gz \
	  usr/share/man/man3/timer.3C++.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++/vector.3C++.gz \
	  usr/share/man/man3/vector.3C++.gz
	# Next 3C++std, again in groups of 12...
	dh_link \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/accumulate.3C++std.gz \
	  usr/share/man/man3/accumulate.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/adjacent_difference.3C++std.gz \
	  usr/share/man/man3/adjacent_difference.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/adjacent_find.3C++std.gz \
	  usr/share/man/man3/adjacent_find.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/advance.3C++std.gz \
	  usr/share/man/man3/advance.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/algorithms.3C++std.gz \
	  usr/share/man/man3/algorithms.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/allocator.3C++std.gz \
	  usr/share/man/man3/allocator.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/associative_containers.3C++std.gz \
	  usr/share/man/man3/associative_containers.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/auto_ptr.3C++std.gz \
	  usr/share/man/man3/auto_ptr.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/back_insert_iterator.3C++std.gz \
	  usr/share/man/man3/back_insert_iterator.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/back_inserter.3C++std.gz \
	  usr/share/man/man3/back_inserter.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/bad_alloc.3C++std.gz \
	  usr/share/man/man3/bad_alloc.3C++std.gz \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/bad_cast.3C++std.gz \
	  usr/share/man/man3/bad_cast.3C++std.gz
	dh_link \
	usr/lib/compaq/cxx-6.3.9.7/alpha-linux/man/man3C++std/bad_exception.3C++std.gz \
	  usr/share/man/man3/bad_exception.3C++std.gz \
